import request from "@/utils/request";

// 查询园区内企业基础数据列表
export function listGARDENBASEDATA(query) {
  return request({
    url: "/GARDENBASEDATA/list",
    method: "get",
    params: query,
  });
}

// 查询园区内企业基础数据所有列表
export function listAllGARDENBASEDATA(query) {
  return request({
    url: "/GARDENBASEDATA/listAll",
    method: "get",
    params: query,
  });
}

// 查询园区内企业基础数据详细
export function getGARDENBASEDATA(id) {
  return request({
    url: "/GARDENBASEDATA/getInfo/" + id,
    method: "get",
  });
}

// 新增园区内企业基础数据
export function addGARDENBASEDATA(data) {
  return request({
    url: "/GARDENBASEDATA/add",
    method: "post",
    data: data,
  });
}

// 修改园区内企业基础数据
export function updateGARDENBASEDATA(data) {
  return request({
    url: "/GARDENBASEDATA/edit",
    method: "post",
    data: data,
  });
}

// 删除园区内企业基础数据
export function delGARDENBASEDATA(id) {
  return request({
    url: "/GARDENBASEDATA/remove/" + id,
    method: "get",
  });
}

// 企业名录列表
export function getEnterprise(id) {
  return request({
    url: "/system/dept/list",
    method: "get",
  });
}
